Set the target's split_io field when building a dm-mirror device so incoming 
bio's won't span the mirror's internal regions.

From: Kevin Corry <kevcorry@us.ibm.com>
--- diff/drivers/md/dm-raid1.c	2005-06-29 18:11:02.000000000 +0100
+++ source/drivers/md/dm-raid1.c	2005-06-29 18:29:35.000000000 +0100
@@ -1069,6 +1069,7 @@
 	}
 
 	ti->private = ms;
+ 	ti->split_io = ms->rh->region_size;
 
 	r = kcopyd_client_create(DM_IO_PAGES, &ms->kcopyd_client);
 	if (r) {
